V1 and V2Categories

Create an asset category

POST
/api/v1/categories/file

Authorization

bearerAuth
AuthorizationBearer <token>

Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST 'https://example.com/api/v1/categories/file' \  -H 'Content-Type: application/json' \  --data-raw '{  "name": "Marketing logos"}'
{  "data": [    {      "id": "5cfa05273da03100019ba90e",      "modified": "2019-06-07T06:33:11.965893+00:00",      "n_children": 0,      "name": "Marketing logos",      "order": "2",      "parents_ids": [],      "path": [        "Marketing logos"      ],      "slug": "marketing-logos"    }  ]}